MailClient (consumer-service 1.9.0-2.17.2 API)
Date: 2014-01-30

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.messaging.common.consumer.mail
Class MailClient

    java.lang.Object
      org.gcube.messaging.common.consumer.mail.MailClient

    public class MailClient

extends Object

Author:
  Andrea Manzi(CERN)

Constructor Summary
`MailClient()` constructor

Method Summary
`void` | `addScope(org.gcube.common.core.scope.GCUBEScope scope)` Add information to mail Client for the given scope
`ArrayList<String>` | `getNotificationMailForScopeAndDomain(String scope, String domain)`
`Map<String,MailRecipientHelper>` | `getScopeMap()`
`ArrayList<String>` | `getSummaryMailForScope(String scope)`
`void` | `initialize()` Initialization
`void` | `sendMailNotification(String message, Notification not, String groupName, String domain)` Send a mail notification
`void` | `sendMailSummary(String message, String groupName)` Send mail summary
`void` | `setScopeMap(Map<String,MailRecipientHelper> scopeMap)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MailClient

    public MailClient()

  constructor

Method Detail

### initialize

    public void initialize()

  Initialization

### addScope

    public void addScope(org.gcube.common.core.scope.GCUBEScope scope)
                  throws Exception

  Add information to mail Client for the given scope

  Parameters:
    `scope` - the scope
  Throws:
    `Exception` - Exception

### getScopeMap

    public Map<String,MailRecipientHelper> getScopeMap()

### setScopeMap

    public void setScopeMap(Map<String,MailRecipientHelper> scopeMap)

### sendMailSummary

    public void sendMailSummary(String message,
                                String groupName)

  Send mail summary

  Parameters:
    `message` - the message to send
    `groupName` - the group to send the message to

### sendMailNotification

    public void sendMailNotification(String message,
                                     Notification not,
                                     String groupName,
                                     String domain)

  Send a mail notification

  Parameters:
    `not` - the notification
    `groupName` - the group to send the message to

### getNotificationMailForScopeAndDomain

    public ArrayList<String> getNotificationMailForScopeAndDomain(String scope,
                                                                  String domain)

  Parameters:
    `scope` -
    `domain` -
  Returns:

### getSummaryMailForScope

    public ArrayList<String> getSummaryMailForScope(String scope)

  Parameters:
    `scope` -
    `domain` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.